#!/bin/sh

# The purpose of the fs_final*.sh files is to provide a simple method that a
# template can use to directly manipulate the generated rootfs image.
#
# TOPDIR, TARGET_ARCH, TARGET_VENDOR, TARGET_OS, IMAGE_ROOTFS, WORKDIR, and
# IMAGE_PKGTYPE are all defined coming into this script.  The current working
# directory will be set to IMAGE_ROOTFS, which is the location the rootfs is
# being generated in.


# Clean up the debug directories and files except the required ones
# These directories were added as part of the "eglibc-sourcery-binary-dbg "

rm -rf ./sbin/.debug ./usr/sbin/.debug ./usr/lib/audit/.debug ./usr/bin/.debug ./usr/src/debug
find ./lib/.debug -type f -not -name "*thread*" | xargs rm

# remove soft links for /var/log and /var/tmp to /var/volatile tmpfs to support
# non volatile storage
rm -rf ./var/log
mkdir -p ./var/log

# Place the .gitrepoinfo in the rootfs
sb_root=$TOPDIR/../../../
if [ -f $sb_root/.gitrepoinfo ]; then
  cp $sb_root/.gitrepoinfo ./etc/.gitrepoinfo
else
  echo "WARNING: .gitrepoinfo file not found in the sandbox root directory."
fi

# If the return code is non-zero we error
exit 0
